package com.YuyeTech.HeartRate.service;


import com.YuyeTech.HeartRate.dataobject.FriendInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface FriendInfoService {
    Page<FriendInfo> getFriendUserInfo(Pageable pageable,String userId);

    FriendInfo findByUserIdAndFriendId(String userId,String friendId);


    FriendInfo addFriendInfo(FriendInfo friendInfo);

    void deleteFriendInfo(String userId,String friendId);

    void deleteFriendInfosByFriendId(String friendId);

    void deleteById(String id);


}
